eoDistribution(3)

NAME
eoDistribution - Abstract class for Distribution Evolution Algorithms within EO: the distribution itself.

SYNOPSIS

#include <eoDistribution.h>

Inherits eoInit< EOT >< EOT >, eoPersistent, and eoObject.

Inherited by eoPBILDistrib< EOT >.

  Public Member Functions
virtual void operator() (EOT &)=0
The pure virtual function that needs to be implemented by the subclass.

Detailed Description

  template<class EOT> class eoDistribution< EOT >
Abstract class for Distribution Evolution Algorithms within EO: the distribution itself. It basically IS AN eoInit - operator()(EOT &) generates new indis

The instances will probably be eoValueParam of some kind see eoPBILDistrib.h

Definition at line 45 of file eoDistribution.h.

Author

Generated automatically by Doxygen for EO from the source code.